<?php

include 'dbconnection.php';

$Email2 = $_GET["Email"]; 

$DB = mysqli_query($mysql,"SELECT dbname FROM tb_users WHERE email ='$Email2'");
while($row = mysqli_fetch_array($DB)){
$dbname = $row ['dbname'];}


$hostname2 = "localhost";
$username2 = "tempdpe5_nicolas";
$password2= "(Made7575)";
$conn = mysqli_connect($hostname2,$username2,$password2,$dbname);
if (mysqli_connect_errno()){
  printf("Connect failed: %s\n", mysqli_connect_error());
  exit();
} 
mysqli_set_charset($conn ,"utf8");


// Perform queries

mysqli_query($conn,"DROP TRIGGER IF EXISTS Actualizarreservacionpago");  


mysqli_query($conn,"UPDATE calendar,residentes SET calendar.Condominio = residentes.Condominio, calendar.Residencia = residentes.Residencia,calendar.Nombres = residentes.Nombres, calendar.Apellidos = residentes.Apellidos, calendar.Cuentaprincipal  = residentes.Cuentaprincipal ,calendar.Cuentasecundaria = residentes.Cuentasecundaria  WHERE calendar.email = residentes.Email");

mysqli_query($conn,"UPDATE calendar,residentes SET calendar.Nombres = residentes.Nombres, calendar.Apellidos = residentes.Apellidos, calendar.Cuentaprincipal  = residentes.Cuentaprincipal ,calendar.Cuentasecundaria = residentes.Cuentasecundaria,calendar.email = residentes.Email  WHERE calendar.Condominio = residentes.Condominio AND calendar.Residencia = residentes.Residencia");

mysqli_query($conn,"UPDATE calendar,tb_users SET calendar.entry_by = tb_users.id  WHERE tb_users.email = calendar.email");

mysqli_query($conn,"ALTER IGNORE TABLE mantenimientopago ADD UNIQUE INDEX (Residencia, Condominio, idpagores)");

mysqli_query($conn,"INSERT IGNORE INTO mantenimientopago (Condominio,Residencia,Cuota,Tipocuota,idpagores,Nombres,Apellidos,Cuentaprincipal,Cuentasecundaria,email,idcalendar) SELECT calendar.Condominio,calendar.Residencia, calendar.Cantidad,'Reservacion',calendar.id,calendar.Nombres,calendar.Apellidos,calendar.Cuentaprincipal,calendar.Cuentasecundaria,calendar.email,calendar.id FROM calendar WHERE calendar.status ='Pagar'AND DATEDIFF(STR_TO_DATE(calendar.fechadeinicio, '%Y-%m-%d %h:%i %p'), STR_TO_DATE(calendar.fechafinal, '%Y-%m-%d %h:%i %p'))<=0 AND TIMESTAMPDIFF(MINUTE,STR_TO_DATE(calendar.fechadeinicio, '%Y-%m-%d %h:%i %p'), STR_TO_DATE(calendar.fechafinal, '%Y-%m-%d %h:%i %p'))>0");

mysqli_query($conn,"ALTER TABLE mantenimientopago DROP INDEX Residencia");

mysqli_query($conn,"DROP TRIGGER IF EXISTS Sumaactualizacion2");

mysqli_query($conn,"ALTER IGNORE TABLE mantenimientopagodetalle ADD UNIQUE INDEX (InvID)");

mysqli_query($conn,"INSERT IGNORE INTO mantenimientopagodetalle (InvID,Amount,Qty,Items) SELECT mantenimientopago.ID, mantenimientopago.Cuota,'1','Reservacion' FROM mantenimientopago");

mysqli_query($conn,"CREATE TRIGGER `Sumaactualizacion2` AFTER INSERT ON `mantenimientopagodetalle`
 FOR EACH ROW BEGIN
UPDATE mantenimientopago SET InvTotal=(SELECT SUM(Amount*Qty) FROM mantenimientopagodetalle WHERE ID = InvID);

UPDATE mantenimientopago,residentes SET mantenimientopago.Nombres = residentes.Nombres, mantenimientopago.Apellidos = residentes.Apellidos, mantenimientopago.email = residentes.Email WHERE mantenimientopago.Condominio = residentes.Condominio AND mantenimientopago.Residencia = residentes.Residencia AND mantenimientopago.email IS NULL;

UPDATE mantenimientopago,tb_users SET mantenimientopago. entry_by  = tb_users.id WHERE mantenimientopago.email = tb_users.email AND mantenimientopago.entry_by IS NULL;
END");

// Perform queries: Activar el trigger de suma total
mysqli_query($conn,"UPDATE mantenimientopagodetalle SET actualizar = 1");

mysqli_query($conn,"ALTER TABLE mantenimientopagodetalle DROP INDEX InvID");

mysqli_query($conn,"UPDATE calendar SET Status = 'Generado' WHERE Status = 'Pagar'AND DATEDIFF(STR_TO_DATE(fechadeinicio, '%Y-%m-%d %h:%i %p'), STR_TO_DATE(fechafinal, '%Y-%m-%d %h:%i %p'))<=0 AND TIMESTAMPDIFF(MINUTE,STR_TO_DATE(fechadeinicio, '%Y-%m-%d %h:%i %p'), STR_TO_DATE(fechafinal, '%Y-%m-%d %h:%i %p'))>0 ");


mysqli_query($conn,"UPDATE mantenimientopago,tb_users SET mantenimientopago.entry_by = tb_users.id  WHERE tb_users.email = mantenimientopago.email");

mysqli_query($conn,"CREATE TRIGGER `Actualizarreservacionpago` AFTER UPDATE ON `mantenimientopago`
 FOR EACH ROW UPDATE calendar, mantenimientopago SET calendar.status = 'Reservar'  WHERE calendar.id = mantenimientopago.idcalendar 
AND mantenimientopago.Pagostatus = 'Pagado'AND calendar.status !='Aprobada'");

mysqli_close($conn);
mysqli_close($mysql);
echo "<script>window.location.href='reservacionesadmin';</script>";
?>